List transcripts
curl --request GET \
--url https://api.assemblyai.com/v2/transcript \
--header 'Authorization: <api-key>'import requests
url = "https://api.assemblyai.com/v2/transcript"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.assemblyai.com/v2/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page_details": {
"limit": 3,
"result_count": 3,
"current_url": "https://api.assemblyai.com/v2/transcript?limit=3",
"prev_url": "https://api.assemblyai.com/v2/transcript?limit=3&before_id=28a73d01-98db-41dd-9e98-2533ba0af117",
"next_url": "https://api.assemblyai.com/v2/transcript?limit=3&after_id=b33f4691-85b7-4f31-be12-a87cef1c1229"
},
"transcripts": [
{
"id": "b33f4691-85b7-4f31-be12-a87cef1c1229",
"resource_url": "https://api.assemblyai.com/v2/transcript/b33f4691-85b7-4f31-be12-a87cef1c1229",
"status": "completed",
"created": "2024-03-11T21:29:59.936851",
"completed": "2024-03-11T21:30:07.314223",
"audio_url": "http://deleted_by_user",
"error": null
},
{
"id": "ce522f10-d204-42e8-a838-6b95098145cc",
"resource_url": "https://api.assemblyai.com/v2/transcript/ce522f10-d204-42e8-a838-6b95098145cc",
"status": "error",
"created": "2024-03-11T21:23:59.979420",
"completed": null,
"audio_url": "https://storage.googleapis.com/client-docs-samples/nbc.oopsie",
"error": "Download error, unable to download https://storage.googleapis.com/client-docs-samples/nbc.oopsie. Please make sure the file exists and is accessible from the internet."
},
{
"id": "28a73d01-98db-41dd-9e98-2533ba0af117",
"resource_url": "https://api.assemblyai.com/v2/transcript/28a73d01-98db-41dd-9e98-2533ba0af117",
"status": "completed",
"created": "2024-03-11T21:12:57.372215",
"completed": "2024-03-11T21:13:03.267020",
"audio_url": "https://assembly.ai/nbc.mp3",
"error": null
}
]
}{
"error": "This is a sample error message"
}{
"error": "Authentication error, API token missing/invalid"
}{
"error": "Not found"
}{
"error": "Too Many Requests"
}{
"error": "Internal Server Error"
}transcript
List transcripts
Retrieve a list of transcripts you created. Transcripts are sorted from newest to oldest. The previous URL always points to a page with older transcripts.
GET
/
v2
/
transcript
List transcripts
Authorizations
Query Parameters
Filter by transcript status The status of your transcript. Possible values are queued, processing, completed, or error.
Available options:
queued, processing, completed, error Response
A list of transcripts. Transcripts are sorted from newest to oldest. The previous URL always points to a page with older transcripts.
A list of transcripts. Transcripts are sorted from newest to oldest. The previous URL always points to a page with older transcripts.
Details of the transcript page
Show child attributes
Show child attributes
Example:
{
"limit": 10,
"result_count": 10,
"current_url": "https://api.assemblyai.com/v2/transcript?limit=10",
"prev_url": "https://api.assemblyai.com/v2/transcript?limit=10&before_id=62npeahu2b-a8ea-4112-854c-69542c20d90c",
"next_url": "https://api.assemblyai.com/v2/transcript?limit=10&after_id=62nfw3mlar-01ad-4631-92f6-629929496eed"
}
An array of transcripts
Show child attributes
Show child attributes